package fglrx (not installed) failed to install/upgrade: dpkg-divert: rename involves overwriting

Bug #567425 reported by Steve Beattie on 2010-04-20
34
This bug affects 5 people
Affects Status Importance Assigned to Milestone
fglrx-installer (Ubuntu)
High
Alberto Milone
Lucid
High
Alberto Milone

Bug Description

Upgrade from karmic to lucid failed; relevant bits appear to be:

Unpacking fglrx (from .../fglrx_2%3a8.723.1-0ubuntu2_amd64.deb) ...^M
dpkg-divert: rename involves overwriting `/usr/lib/xorg/modules/extensions/libdri.so' with^M
  different file `/usr/lib/fglrx/libdri.so.xlibmesa', not allowed^M
dpkg: error processing /var/cache/apt/archives/fglrx_2%3a8.723.1-0ubuntu2_amd64.deb (--unpack):^M
 subprocess new pre-installation script returned error exit status 2^M

ProblemType: Package
DistroRelease: Ubuntu 10.04
Package: fglrx (not installed)
ProcVersionSignature: Ubuntu 2.6.31-20.58-generic
Uname: Linux 2.6.31-20-generic x86_64
NonfreeKernelModules: fglrx
Architecture: amd64
Date: Mon Apr 19 23:08:53 2010
DkmsStatus:

ErrorMessage:
 ErrorMessage: no package named `fglrx' is installed, cannot configure
GdmLog2: Error: command ['cat', '/var/log/gdm/:0.log.2'] failed with exit code 1: cat: /var/log/gdm/:0.log.2: No such file or directory
InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release amd64 (20091027)
MachineType: Shuttle Inc SA76
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.31-20-generic root=UUID=a7eba85a-c93a-4d5e-a244-ffb973897dc7 ro quiet splash
SourcePackage: fglrx-installer
Title: package fglrx (not installed) failed to install/upgrade:
dmi.bios.date: 03/19/2010
dmi.bios.vendor: Phoenix Technologies, LTD
dmi.bios.version: 6.00 PG
dmi.board.name: FA76
dmi.board.vendor: Shuttle Inc
dmi.board.version: V10
dmi.chassis.type: 3
dmi.chassis.vendor: Shuttle Inc
dmi.chassis.version: G2
dmi.modalias: dmi:bvnPhoenixTechnologies,LTD:bvr6.00PG:bd03/19/2010:svnShuttleInc:pnSA76:pvrV10:rvnShuttleInc:rnFA76:rvrV10:cvnShuttleInc:ct3:cvrG2:
dmi.product.name: SA76
dmi.product.version: V10
dmi.sys.vendor: Shuttle Inc
glxinfo:
 Error: couldn't find RGB GLX visual or fbconfig
 name of display: :0.0
system:
 distro: Ubuntu
 codename: lucid
 architecture: x86_64
 kernel: 2.6.31-20-generic

Steve Beattie (sbeattie) wrote :
summary: - package fglrx (not installed) failed to install/upgrade:
+ package fglrx (not installed) failed to install/upgrade: dpkg-divert:
+ rename involves overwriting
tags: added: iso-testing
Steve Langasek (vorlon) on 2010-04-21
Changed in fglrx-installer (Ubuntu Lucid):
importance: Undecided → High
status: New → Triaged
milestone: none → ubuntu-10.04
Steve Langasek (vorlon) wrote :

Alberto, can you take a look at fixing this for 10.04 final?

Changed in fglrx-installer (Ubuntu Lucid):
assignee: nobody → Alberto Milone (albertomilone)
Alberto Milone (albertomilone) wrote :

Sure, I'll work on it.

Changed in fglrx-installer (Ubuntu Lucid):
status: Triaged → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package fglrx-installer - 2:8.723.1-0ubuntu3

---------------
fglrx-installer (2:8.723.1-0ubuntu3) lucid; urgency=low

  * debian/fglrx.preinst:
    - Prevent dist-upgrades from failing when removing diversions
      on libdri.so if the file still exists (LP: #567425).
 -- Alberto Milone <email address hidden> Thu, 22 Apr 2010 17:59:12 +0200

Changed in fglrx-installer (Ubuntu Lucid):
status: In Progress → Fix Released
To post a comment you must log in.